org.apache.hadoop.yarn.server.nodemanager.nodelabels

## Interface NodeDescriptorsProvider<T>

- All Known Implementing Classes:
    AbstractNodeDescriptorsProvider, ConfigurationNodeAttributesProvider, ConfigurationNodeLabelsProvider, NodeAttributesProvider, NodeLabelsProvider, ScriptBasedNodeAttributesProvider, ScriptBasedNodeLabelsProvider

      public interface NodeDescriptorsProvider<T>

  Interface which will be responsible for fetching node descriptors, a node descriptor could be a `NodeLabel` or a `NodeAttribute`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<T>` | `getDescriptors()` Provides the descriptors.
    `void` | `setDescriptors(Set<T> descriptors)` Sets a set of descriptors to the provider.

- - ### Method Detail

    - #### getDescriptors

          Set<T> getDescriptors()

      Provides the descriptors. The provider is expected to give same descriptors continuously until there is a change. If null is returned then an empty set is assumed by the caller.
      Returns:
        Set of node descriptors applicable for a node

    - #### setDescriptors

          void setDescriptors(Set<T> descriptors)

      Sets a set of descriptors to the provider.
      Parameters:
        `descriptors` - node descriptors.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.